Joomla 1.0 existe encore !

Réduire
X
  • Filtrer
  • Heure
  • Afficher
Tout effacer
nouveaux messages

  • Joomla 1.0 existe encore !

    Bonjour,

    Je suis chargé d'aider une association de migrer un site hébergé sur 1&1 utilisant Joomla 1.0 vers la version la plus accessible qui, si j'ai bien compris, est la version 1.5.

    Personnellement, je ne connais rien à Joomla mais je suis developpeur Php/Mysql et je connais EasyPhp/PhpAdmin.

    Quand je vais chez 1&1, je vois que le Joomla du site en question utilise php 4.4.9 et MySql 5.1.49, que le Global Register est à ON (beurk )

    J'ai vu sur le forum une question et pas la réponse.

    Puis-je créer un répertoire à la racine du site existant et installer un nouveau Joomla 1.5 qui utiliserait Php5 sans pertuber le comportement du site en cours qui utilise Php4 ?

    Le but serait de migrer les données vers la nouvelle base Mysql de Joomla 1.5, copier les répertoires utilisateurs et de tester en parallèle le comportement des "2" sites.

    Une fois les tests finis, de recopier Joomla 1.5 à la racine du site en espérant que tout fonctionne ?

    Est-ce une bonne démarche ?
    Merci de vos réponse.
    Laurent

  • #2
    Re : Joomla 1.0 existe encore !

    La meilleure manière serait de créer un site en local, sur votre disque dur et d'y développer le nouveau site. Ensuite, via Akeeba Backup, sauver le site local pour le transférer sur votre site prod, dans un dossier /j15 si vous le souhaitez; histoire de bien vérifier que tout est OK. Akeeba Kickstart va permettre cette restauration.

    Notez : si vous n'y connaissez rien à Joomla, ouch!, cela ne va pas être une partie de plaisir de faire la migration.
    Christophe (cavo789)
    Développeur d'aeSecure; protection, optimisation et nettoyage (après hack) de sites web Apache https://www.aesecure.com/fr
    Développeur de marknotes, logiciel de gestion de prises de notes avec interface web et de multiples convertisseur https://github.com/cavo789/marknotes

    Commentaire


    • #3
      Re : Joomla 1.0 existe encore !

      Envoyé par cavo789 Voir le message
      La meilleure manière serait de créer un site en local, sur votre disque dur et d'y développer le nouveau site. Ensuite, via Akeeba Backup, sauver le site local pour le transférer sur votre site prod, dans un dossier /j15 si vous le souhaitez; histoire de bien vérifier que tout est OK. Akeeba Kickstart va permettre cette restauration.

      Notez : si vous n'y connaissez rien à Joomla, ouch!, cela ne va pas être une partie de plaisir de faire la migration.
      Merci de la réponse : je pensais aussi faire une copie locale du site (qui n'existe pas).. donc effectivement, je peux faire coup double grâce à Akeeba Backup.

      Et puis faire une migration sur un poste local est tout même bien plus rassurant.

      Donc, si j'ai bien compris je peux faire tourner 2 Joomla attaquant l'un php4 et l'autre php5 sur le même site ?

      Effectivement, ne connaissant pas Joomla, je pars de loin mais je suis assez motivé pour le moment.

      Commentaire


      • #4
        Re : Joomla 1.0 existe encore !

        Bienvenue !

        Oui, bon courage pour une migration depuis la 1.5 !
        La question à se poser est : migrer ou repartir sur un tout nouveau site.
        Migrer devra se faire en deux étapes de la 1.0 à la 1.5 puis de la 1.5 à la 2.5, sachant d'une part qu'il n'est pas possible de passer directement de la 1.0 à la 2.5, d'autre part que le problème se posera surtout au niveau des données gérées par des extensions qui n'ont pas nécessairement évolué de 1.0 vers 1.5 puis 2.5

        Chez 1&1, il suffit d'une ligne d'instruction dans le .htaccess du site pour passer en PHP 5 (voir ma faq : lien en signature).

        Complément : Akeeba backup est inutilisable en 1.0 !
        "Patience et longueur de temps font plus que force ni que rage..." (La Fontaine : Le Lion et le Rat) - "Il n'y a pas de problèmes; il n'y a que des solutions" (André Gide). MoovJla et LazyDbBackup sur www.joomxtensions.com - FaQ sur www.fontanil.info hébergés chez PHPNET - +sites gérés chez 1and1 et OVH - Site pro : www.robertg-conseil.fr

        Commentaire


        • #5
          Re : Joomla 1.0 existe encore !

          Oui, un fichier .htaccess à la racine du nouveau site J1.5 pour activer php 5 fera l'affaire.

          @Robert : sous J1.0, est-ce que JoomlaPack n'était pas dispo ?
          @Deliquintessence : JoomlaPack est le nom du prédécesseur de Akeeba Backup. Le développeur a changé de nom en cours de route.
          Christophe (cavo789)
          Développeur d'aeSecure; protection, optimisation et nettoyage (après hack) de sites web Apache https://www.aesecure.com/fr
          Développeur de marknotes, logiciel de gestion de prises de notes avec interface web et de multiples convertisseur https://github.com/cavo789/marknotes

          Commentaire


          • #6
            Re : Joomla 1.0 existe encore !

            Envoyé par RobertG Voir le message
            Bienvenue !

            Oui, bon courage pour une migration depuis la 1.5 !
            La question à se poser est : migrer ou repartir sur un tout nouveau site.
            Migrer devra se faire en deux étapes de la 1.0 à la 1.5 puis de la 1.5 à la 2.5, sachant d'une part qu'il n'est pas possible de passer directement de la 1.0 à la 2.5, d'autre part que le problème se posera surtout au niveau des données gérées par des extensions qui n'ont pas nécessairement évolué de 1.0 vers 1.5 puis 2.5

            Chez 1&1, il suffit d'une ligne d'instruction dans le .htaccess du site pour passer en PHP 5 (voir ma faq : lien en signature).

            Complément : Akeeba backup est inutilisable en 1.0 !

            Bonjour et merci pour la réponse,

            Quand tu écris : "repartir sur un tout nouveau site" c'est à dire "abandonner" les anciennes données de la base MySql ?

            Effectivement, ce n'est pas envisageable et je devrais donc "migrer" les données de toutes les tables (j'ai cru lire qu'il y avait 60 tables ??).

            Pour le moment, je vise J1.5 en local sur mon poste : je verrais aprés comment uploader sur le serveur.

            Commentaire


            • #7
              Re : Joomla 1.0 existe encore !

              Attention : comme je te l'ai dit, il faudra obligatoirement que tu passes ensuite en version 2.5, la 1.5 n'étant plus maintenue !

              Pour migrer de 1.0 en 1.5, c'est (relativement) simple pour tout ce qui est géré par le core Joomla! (avec MtwMigrator ou migrator par exemple : http://extensions.joomla.fr/extensio...-de-Migration/), le problème se pose au niveau des données gérées par des extensions tierces.
              Si tu as installé en local une version 1.5, ajoutes-y MtwMigrator, importe une sauvegarde de la base du 1.0 dans une base locale que MtwMigrator utilisera pour y récupérer les données récupérables.

              Ensuite, avec jUpgrade, tu pourras transférer ces mêmes données vers un site 2.5
              "Patience et longueur de temps font plus que force ni que rage..." (La Fontaine : Le Lion et le Rat) - "Il n'y a pas de problèmes; il n'y a que des solutions" (André Gide). MoovJla et LazyDbBackup sur www.joomxtensions.com - FaQ sur www.fontanil.info hébergés chez PHPNET - +sites gérés chez 1and1 et OVH - Site pro : www.robertg-conseil.fr

              Commentaire


              • #8
                Re : Joomla 1.0 existe encore !

                Envoyé par RobertG Voir le message
                Attention : comme je te l'ai dit, il faudra obligatoirement que tu passes ensuite en version 2.5, la 1.5 n'étant plus maintenue !

                Pour migrer de 1.0 en 1.5, c'est (relativement) simple pour tout ce qui est géré par le core Joomla! (avec MtwMigrator ou migrator par exemple : http://extensions.joomla.fr/extensio...-de-Migration/), le problème se pose au niveau des données gérées par des extensions tierces.
                Si tu as installé en local une version 1.5, ajoutes-y MtwMigrator, importe une sauvegarde de la base du 1.0 dans une base locale que MtwMigrator utilisera pour y récupérer les données récupérables.

                Ensuite, avec jUpgrade, tu pourras transférer ces mêmes données vers un site 2.5
                Merci encore de tous ces renseignements !

                Si j'ai bien compris la démarche :

                J'installe JoomlaPack (comme composant ?) sur le Joomla 1.0 du serveur distant et je sauve les données de la base Mysql.
                J'installe en local sur mon poste Joomla 1.5 et MtwMigrator (comme composant ?) et je réimporte les données que j'ai préalablement sauvegardées.

                Je recopie les infos utilisateurs (..à définir) du serveur distant sur mon poste local et je corrige les erreurs

                Puis, si tout fonctionne , j'utilise jUpgrade pour passer en local sur Joomal 2.5.

                C'est cette version que j'essairai de faire fonctionner sur le site distant en même temps que la version 1.0 avant de supprimer cette dernière.

                oups...je crois que j'ai de bonnes soirées en perpective ...

                Commentaire


                • #9
                  Re : Joomla 1.0 existe encore !

                  Pour sauver les données de la base 1&1, tu peux passer directement par phpMyAdmin, ça ira plus vite, à moins que tu n'aies pas pour l'instant accès à la gestion chez 1&1
                  Je ne suis pas capable de te dire si on trouve encore un composant de sauvegarde compatible 1.0 et je te conseille plutôt une sauvegarde manuelle des fichiers, soit par client FTP, soit, si le site n'est pas trop lourd, en compressant chez 1&1 avec Webtransfert (ceci donc depuis l'interface de gestion du compte 1&1) et en récupérant ensuite le zip.

                  Tu installes ensuite une version 1.5 en local (attention d'utiliser un serveur plutôt en PHP 5.2 ou au plus 5.3, surtout si tu dois ajouter des extensions pas toujours compatibles 5.3).
                  Tu installes sur cette version le composant MtwMigrator dans les paramètres duquel tu saisiras les infos de la base (locale) contenant les données du site 1.0 distant. MtwMigrator lira la base 1.0 pour écrire les données dans celle du site 1.5
                  Tu auras peut-être aussi besoin de copier dans le répertoire "images" local celles du site distant pour que les articles contenant des images s'affichent correctement.

                  Lorsque ce site en 1.5 tournera correctement, tu feras une sauvegarde ou tu le cloneras, tu installeras jUpgrade et tu migreras en 2.5

                  La question essentielle est de savoir ce qu'il peut y avoir dans ce site comme données gérées par des composants tiers (je sais, je me répète ! ).
                  "Patience et longueur de temps font plus que force ni que rage..." (La Fontaine : Le Lion et le Rat) - "Il n'y a pas de problèmes; il n'y a que des solutions" (André Gide). MoovJla et LazyDbBackup sur www.joomxtensions.com - FaQ sur www.fontanil.info hébergés chez PHPNET - +sites gérés chez 1and1 et OVH - Site pro : www.robertg-conseil.fr

                  Commentaire


                  • #10
                    Re : Joomla 1.0 existe encore !

                    Envoyé par RobertG Voir le message
                    Pour sauver les données de la base 1&1, tu peux passer directement par phpMyAdmin, ça ira plus vite, à moins que tu n'aies pas pour l'instant accès à la gestion chez 1&1
                    Je ne suis pas capable de te dire si on trouve encore un composant de sauvegarde compatible 1.0 et je te conseille plutôt une sauvegarde manuelle des fichiers, soit par client FTP, soit, si le site n'est pas trop lourd, en compressant chez 1&1 avec Webtransfert (ceci donc depuis l'interface de gestion du compte 1&1) et en récupérant ensuite le zip.

                    Tu installes ensuite une version 1.5 en local (attention d'utiliser un serveur plutôt en PHP 5.2 ou au plus 5.3, surtout si tu dois ajouter des extensions pas toujours compatibles 5.3).
                    Tu installes sur cette version le composant MtwMigrator dans les paramètres duquel tu saisiras les infos de la base (locale) contenant les données du site 1.0 distant. MtwMigrator lira la base 1.0 pour écrire les données dans celle du site 1.5
                    Tu auras peut-être aussi besoin de copier dans le répertoire "images" local celles du site distant pour que les articles contenant des images s'affichent correctement.

                    Lorsque ce site en 1.5 tournera correctement, tu feras une sauvegarde ou tu le cloneras, tu installeras jUpgrade et tu migreras en 2.5

                    La question essentielle est de savoir ce qu'il peut y avoir dans ce site comme données gérées par des composants tiers (je sais, je me répète ! ).
                    Bonjour,

                    Je vais abuser des conseils ...

                    J'ai vu que tu connaissais bien 1&1 : PhpAdmin fonctionne et je vois bien toutes mes tables mais nulle part je ne vois le mot de passe de l'utilisateur de la base de données.. j'imagine que c'est normal.

                    Hier soir, j'ai échoué lamentablement car j'ai voulu installer Joomla 1.0 avec mon EasyPhp (alors que je devais installer la version 1.5).
                    Je parsais bien l'index.php du Joomla 1.0 avec mon serveur local mais je n'ai pas vérifié les versions Php/Mysql compatibles.
                    Dans l'install de Joomla, on me demandait pour la (nouvelle) base de données Mysql, le nom serveur=localhost, de la bd, de l'utilisateur et le mot de passe.
                    J'ai voulu entrer les mêmes infos que le site distant mais je n'ai jamais trouvé le mot de passe de la bd.
                    De plus, quoique j'entrais j'avais toujours le message d'erreur "Mot de passe et utilisateur incorrect" et vidage de mon formulaire .
                    Je pense que le problème vient de EasyPhp qui tourne avec Php 5.2 et Mysql 5 et que Joomla 1.0 attend du Php 4 ?
                    Bref, ce soir je recommence en installant Joomla 1.5 et j'entrerai de nouvelles habilitations pour la nouvelle base de données qui accueillera les données l'ancienne.

                    Commentaire


                    • #11
                      Re : Joomla 1.0 existe encore !

                      Si le compte 1&1 n'autorise qu'une seule base de données, il te faut récupérer le mot de passe dans le fichier "configuration.php" du site : le mot de passe d'accès à la base n'est jamais dans la base elle-même.

                      Joomla! 1.0 doit pouvoir fonctionner en PHP 5.2 mais pas en 5.3
                      Pour la base, il me semble qu'on peut utiliser MySQL 5

                      En local, ce sont les impératifs de ton serveur local qui sont à respecter. Je ne me souviens plus si EasyPhp a besoin d'un mot de passe pour la base, mais pour exemple, avec Wampserver, j'utilise "localhost" pour le serveur, "root" pour l'utilisateur, pas de mot de passe et le nom de base dont j'ai envie.

                      De plus, je pense que tu confonds les paramètres d'accès à la base et les codes (identifiant et mot de passe) pour administrer le site. Si tu installes un clone du site 1.0 actuel, tu dois impérativement utiliser les codes de super administrateur actifs sur le site en ligne. Lorsque tu installes une version vierge 1.5, l'identifiant par défaut de super administrateur est "admin", le mot de passe étant choisi par toi pendant l'installation.
                      "Patience et longueur de temps font plus que force ni que rage..." (La Fontaine : Le Lion et le Rat) - "Il n'y a pas de problèmes; il n'y a que des solutions" (André Gide). MoovJla et LazyDbBackup sur www.joomxtensions.com - FaQ sur www.fontanil.info hébergés chez PHPNET - +sites gérés chez 1and1 et OVH - Site pro : www.robertg-conseil.fr

                      Commentaire


                      • #12
                        Re : Joomla 1.0 existe encore !

                        Envoyé par RobertG Voir le message
                        Si le compte 1&1 n'autorise qu'une seule base de données, il te faut récupérer le mot de passe dans le fichier "configuration.php" du site : le mot de passe d'accès à la base n'est jamais dans la base elle-même.

                        Joomla! 1.0 doit pouvoir fonctionner en PHP 5.2 mais pas en 5.3
                        Pour la base, il me semble qu'on peut utiliser MySQL 5

                        En local, ce sont les impératifs de ton serveur local qui sont à respecter. Je ne me souviens plus si EasyPhp a besoin d'un mot de passe pour la base, mais pour exemple, avec Wampserver, j'utilise "localhost" pour le serveur, "root" pour l'utilisateur, pas de mot de passe et le nom de base dont j'ai envie.

                        De plus, je pense que tu confonds les paramètres d'accès à la base et les codes (identifiant et mot de passe) pour administrer le site. Si tu installes un clone du site 1.0 actuel, tu dois impérativement utiliser les codes de super administrateur actifs sur le site en ligne. Lorsque tu installes une version vierge 1.5, l'identifiant par défaut de super administrateur est "admin", le mot de passe étant choisi par toi pendant l'installation.
                        Bonjour,

                        Je galère dans mes début avec Joomla : mais j'avance un peu...
                        J'ai installé Joomla 1.5 en local avec mon EasyPhp qui parse son index.php.
                        Le problème venait avec la base de donnée : en fait, comme c'est marqué dans l'install, il faut au préalable créer la base de données (son nom) avant l'install de Joomla ..ce que j'ai fait avec PhpAdmin.
                        Puis, j'ai eu le problème avec le login/mot de passe : dans certains forum, j'ai lu qu'il fallait entrer uniquement le login=root et pas de mot de passe... mais comme il est obligatoire.. finalement, j'ai trouvé sur un forum qu'il fallait entrer root/mysql et ça fonctionne (le nom de la bd est libre).
                        J"ai retrouvé dans PhpAmin une belle nouvelle base avec 36 tables et le joomla/administrator fonctionne correctement.
                        Puis, j'ai recherché le module MtwMigration chose pas facile puisqu'il a plus au moins disparu du Net.
                        Finalement, je trouve com_mtwmigrator-0.3.2alpha.zip que j'installe dans les composants de Joomla 1.5.
                        J'avais comme tu avais dis j'ai sauvegardé la base distance de Joomla 1.0 avec PhpAdmin du serveur distant qui m'a généré un beau script sql de création de tables.

                        Je pensais (bêtement) que MtwMigration etait capable de lire le fichier .sql mais non, il faut bien charger l'ancienne base en local par PhpAdmin qui va créer 56 tables via le script sql.
                        Je me retrouve donc en local avec mes 2 bases AS/NS et maintenant j'essaie de faire fonctionner MtwMigration.
                        Je suis dans Joomla/administration/composant/MtwMigration/config générale/Server :
                        Je rentre Hostname=localhost, Database Name=nom de la base AS que vient de créer mais je ne sais pas quoi rentrer comme login/pass pour la base de données.
                        J'ai trouvé des mots de pass dans le fichier Configuration.php du serveur mais aucun ne fonctionne.
                        Quelqu'un a une idée ?
                        Ps : je n'aurais peut être pas dû charger les exemples quand j'ai installé Joomla 1.5 ?
                        Dernière édition par Deliquintessence à 17/10/2012, 21h02

                        Commentaire


                        • #13
                          Re : Joomla 1.0 existe encore !

                          login et pass sont les mêmes que pour la base 1.5, déterminés par ton serveur local.

                          Effectivement, il ne fallait pas charger les exemples pour récupérer les données de l'autre base.
                          Rien ne t'empêche de créer un autre site 1.5 vierge à côté de celui-ci.
                          "Patience et longueur de temps font plus que force ni que rage..." (La Fontaine : Le Lion et le Rat) - "Il n'y a pas de problèmes; il n'y a que des solutions" (André Gide). MoovJla et LazyDbBackup sur www.joomxtensions.com - FaQ sur www.fontanil.info hébergés chez PHPNET - +sites gérés chez 1and1 et OVH - Site pro : www.robertg-conseil.fr

                          Commentaire


                          • #14
                            Re : Joomla 1.0 existe encore !

                            Envoyé par RobertG Voir le message
                            login et pass sont les mêmes que pour la base 1.5, déterminés par ton serveur local.

                            Effectivement, il ne fallait pas charger les exemples pour récupérer les données de l'autre base.
                            Rien ne t'empêche de créer un autre site 1.5 vierge à côté de celui-ci.
                            Oui, je me doutais qu'il fallait remettre root/mysql mais cela n'a pas fonctionné quand j'ai cliqué sur Check : j'ai eu un message d'erreur notamment au niveau du prefixe de table... donc, il faut mettre cela de la base destinatrice ?

                            J'avais laissé la checkbox sur les tables d'exemple (cochée par défaut) : je ne pensais pas que ça allait rajouter plein de lignes dans les tables... je commence à comprendre comment fonctionne Joomla et ça ressemble à une petite usine à gaz.

                            Je pense que ce soir, je drop ma base 1.5 et je recommence la manip complete pour avoir une base vierge.

                            Merci de ton partenariat à mon aventure Joomlesque

                            Commentaire


                            • #15
                              Re : Joomla 1.0 existe encore !

                              J'ai migré en local de Joomla 1.0 à 1.5 mais j'ai perdu tout le style du site (j'ai bien les articles et les images).
                              Je ne vois pas le bandeau du site mais la grande image Joomla.
                              Mes liens hrefs vers les pdf provoquent un 404 alors que j'ai migré le repertoire pdf.
                              Quelqu'un a une explication ?

                              Commentaire

                              Annonce

                              Réduire
                              1 sur 2 < >

                              C'est [Réglé] et on n'en parle plus ?

                              A quoi ça sert ?
                              La mention [Réglé] permet aux visiteurs d'identifier rapidement les messages qui ont trouvé une solution.

                              Merci donc d'utiliser cette fonctionnalité afin de faciliter la navigation et la recherche d'informations de tous sur le forum.

                              Si vous deviez oublier de porter cette mention, nous nous permettrons de le faire à votre place... mais seulement une fois
                              Comment ajouter la mention [Réglé] à votre discussion ?
                              1 - Aller sur votre discussion et éditer votre premier message :


                              2 - Cliquer sur la liste déroulante Préfixe.

                              3 - Choisir le préfixe [Réglé].


                              4 - Et voilà… votre discussion est désormais identifiée comme réglée.

                              2 sur 2 < >

                              Assistance au forum - Outil de publication d'infos de votre site

                              Compatibilité: PHP 4.1,PHP4, 5, 6DEV MySQL 3.2 - 5.5 MySQLi from 4.1 ( @ >=PHP 4.4.9)

                              Support Version de Joomla! : | J!3.0 | J!2.5.xx | J!1.7.xx | J!1.6.xx | J1.5.xx | J!1.0.xx |

                              Version française (FR) D'autres versions sont disponibles depuis la version originale de FPA

                              UTILISER À VOS PROPRES RISQUES :
                              L'exactitude et l'exhaustivité de ce script ainsi que la documentation ne sont pas garanties et aucune responsabilité ne sera acceptée pour tout dommage, questions ou confusion provoquée par l'utilisation de ce script.

                              Problèmes connus :
                              FPA n'est actuellement pas compatible avec des sites Joomla qui ont eu leur fichier configuration.php déplacé en dehors du répertoire public_html.

                              Installation :

                              1. Téléchargez l'archive souhaitée : http://afuj.github.io/FPA/

                              Archive zip : https://github.com/AFUJ/FPA/zipball/master

                              2. Décompressez le fichier de package téléchargé sur votre propre ordinateur (à l'aide de WinZip ou d'un outil de décompression natif).

                              3. Lisez le fichier LISEZMOI inclus pour toutes les notes de versions spécifiques.

                              4. LIRE le fichier de documentation inclus pour obtenir des instructions d'utilisation détaillées.

                              5. Téléchargez le script fpa-fr.php à la racine de votre site Joomla!. C'est l'endroit que vous avez installé Joomla et ce n'est pas la racine principale de votre serveur. Voir les exemples ci-dessous.

                              6. Exécutez le script via votre navigateur en tapant: http:// www. votresite .com/ fpa-fr.php
                              et remplacer www. votresite .com par votre nom de domaine


                              Exemples:
                              Joomla! est installé dans votre répertoire web et vous avez installé la version française du fichier FPA:
                              Télécharger le script fpa-fr.php dans: /public_html/
                              Pour executer le script: http://www..com/fpa-fr.php

                              Joomla! est installé dans un sous-répertoire nommé "cms" et vous avez installé la version française du fichier FPA:
                              Télécharger le script fpa-fr.php dans: /public_html/cms/
                              Pour executer le script: http://www..com/cms/fpa-fr.php

                              En raison de la nature très sensible de l'information affichée par le script FPA, il doit être retiré immédiatement du serveur après son utilisation.

                              Pour supprimer le script de votre site, utilisez le lien de script de suppression fourni en haut de la page du script. Si le lien de suppression échoue pour supprimer le script, utilisez votre programme FTP pour le supprimer manuellement ou changer le nom une fois que le script a généré les données du site et le message publié sur le forum. Si le script est toujours présent sur le site, il peut être utilisé pour recueillir suffisamment d'informations pour pirater votre site. Le retrait du script empêche des étrangers de l'utiliser pour jeter un oeil à la façon dont votre site est structuré et de détecter les défauts qui peuvent être utilisé à vos dépends.
                              Voir plus
                              Voir moins
                              Travaille ...
                              X